Bug 239225 - No brightness control for g-p-m for Latitude D420
No brightness control for g-p-m for Latitude D420
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
:
Depends On: Merge
Blocks: 237760 237767
  Show dependency treegraph
 
Reported: 2007-05-06 09:27 EDT by Bastien Nocera
Modified: 2013-03-05 22:50 EST (History)
4 users (show)

See Also:
Fixed In Version: 0.5.9-8.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-18 18:44:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bastien Nocera 2007-05-06 09:27:28 EDT
Opening clone bug, to track the rebuild of hal with dell backlight support.

+++ This bug was initially created as a clone of Bug #237767 +++

hal-0.5.9-5.fc7

There's no brightness control for the Latitude D420 in gnome-power-manager.

lshal output attached

-- Additional comment from bnocera@redhat.com on 2007-04-25 06:35 EST --
Created an attachment (id=153410)
lshal.txt


-- Additional comment from davidz@redhat.com on 2007-04-25 11:49 EST --
Please test if this works if you rebuild the HAL SRPM with --with-dell-backlight
- notably you need libsmbios-devel, libsmbios for this. Just waiting for the
damn merge to happen so we can make this change in Fedora. Thanks.

-- Additional comment from bnocera@redhat.com on 2007-04-25 12:30 EST --
It works, kind of:
- the dcdbas module isn't loaded automatically
- the brightness is still handled in hardware, and that causes major confusion
(especially when enabling the automatic light sensor brightness, as in bug 237768)
Comment 1 Bastien Nocera 2007-05-18 13:17:03 EDT
Rebuilt in:
http://koji.fedoraproject.org/koji/taskinfo?taskID=10536

Just need to wait for it to be tagged now.
Comment 2 Bastien Nocera 2007-05-18 18:44:44 EDT
Will be in f7-final. Yay!

Note You need to log in before you can comment on or make changes to this bug.